import { AuthUserCredentials, Capas, Config, Provinces, ScrapType, Status } from "./interfaces/Config";
import { ItemData } from "./interfaces/Province";
import { FileManager } from "./services/FileManager/FileManager";
export declare class GlobalConfig {
    protected static config: Config;
    static set(config: Config): void;
    static getType(): ScrapType;
    static inSeparatedZips(): boolean;
    static getCredentials(): AuthUserCredentials;
    static getCaptchaToken(): string;
    static getOnly(): Array<string | Provinces> | undefined;
    static getExcludes(): Array<string | Provinces> | undefined;
    static getCapas(): Array<Capas | string> | undefined;
    static getBucket(): string | undefined;
    static getUploadServices(): {
        new (): FileManager;
    }[];
    static getPreprocessorServices(): (new () => import("./services/Preprocessors/Preprocessor").Preprocessor)[] | undefined;
    static getPathDownload(filename: string, type: FileManager, info?: ItemData): string;
    static callbackDownloadedZip(data: ItemData): Promise<any>;
    static getPathGcKey(): string | undefined;
    static cancel(): void;
    static getStatus(): Status | undefined;
    static callbackCanceled(): Promise<any>;
    static preprocessorUpload(): boolean | undefined;
    static zipUpload(): boolean | undefined;
}
