"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GlobalConfig = void 0;
const Config_1 = require("./interfaces/Config");
class GlobalConfig {
    static set(config) {
        GlobalConfig.config = config;
    }
    static getType() {
        return GlobalConfig.config.type;
    }
    static inSeparatedZips() {
        return GlobalConfig.config.separateZips;
    }
    static getCredentials() {
        return GlobalConfig.config.credentials;
    }
    static getCaptchaToken() {
        return GlobalConfig.config.recaptchaToken;
    }
    static getOnly() {
        return GlobalConfig.config.only;
    }
    static getExcludes() {
        return GlobalConfig.config.excludes;
    }
    static getCapas() {
        return GlobalConfig.config.capas;
    }
    static getBucket() {
        return GlobalConfig.config.bucket;
    }
    static getUploadServices() {
        return GlobalConfig.config.uploadServices;
    }
    static getPreprocessorServices() {
        return GlobalConfig.config.preprocessorServices;
    }
    static getPathDownload(filename, type, info) {
        const config = GlobalConfig.config.downloadPath;
        if (typeof config === 'function')
            return config(filename, type, info);
        if (typeof config === 'string')
            return config;
        return '';
    }
    static async callbackDownloadedZip(data) {
        const callback = GlobalConfig.config.callbackDownloadedZip;
        return callback ? await callback(data) : () => { };
    }
    static getPathGcKey() {
        return GlobalConfig.config.gcKeyFile;
    }
    static cancel() {
        GlobalConfig.config.status = Config_1.Status.CANCELED;
    }
    static getStatus() {
        return GlobalConfig.config.status;
    }
    static async callbackCanceled() {
        const callback = GlobalConfig.config.callbackCanceled;
        return callback ? await callback() : () => { };
    }
    static preprocessorUpload() {
        return GlobalConfig.config.preprocessorUpload;
    }
    static zipUpload() {
        return GlobalConfig.config.zipUpload;
    }
}
exports.GlobalConfig = GlobalConfig;
//# sourceMappingURL=GlobalConfig.js.map