import { FileManager } from "../services/FileManager/FileManager";
import { Preprocessor } from "../services/Preprocessors/Preprocessor";
import { ItemData } from "./Province";
export declare enum ScrapType {
    SF = "SF",
    JSON = "JSON",
    CAT = "CAT"
}
export interface AuthUserCredentials {
    dni: string;
    password: string;
}
export declare enum Provinces {
    VALLADOLID = "VALLADOLID",
    BURGOS = "BURGOS",
    HUELVA = "HUELVA",
    CEUTA = "CEUTA"
}
export declare enum Capas {
    LIMITES = "LIMITES",
    PARCELA = "PARCELA",
    CONSTRU = "CONSTRU"
}
export declare enum Status {
    RUNNING = 0,
    CANCELED = 1
}
export interface Config {
    credentials: AuthUserCredentials;
    recaptchaToken: string;
    separateZips: boolean;
    type: ScrapType;
    uploadServices: {
        new (): FileManager;
    }[];
    preprocessorServices?: {
        new (): Preprocessor;
    }[];
    excludes?: Array<Provinces | string>;
    only?: Array<Provinces | string>;
    capas?: Array<Capas | string>;
    bucket?: string;
    downloadPath?: ((filename: string, type: FileManager, info?: ItemData) => string) | string;
    callbackDownloadedZip?: (data: ItemData) => any;
    callbackCanceled?: () => any;
    gcKeyFile?: string;
    status?: Status;
    preprocessorUpload?: boolean;
    zipUpload?: boolean;
}
