"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoogleCloud = void 0;
const storage_1 = require("@google-cloud/storage");
const fileManager_1 = require("../../config/fileManager");
const GlobalConfig_1 = require("../../GlobalConfig");
class GoogleCloud {
    constructor() {
        this.storage = new storage_1.Storage({ keyFilename: GlobalConfig_1.GlobalConfig.getPathGcKey() });
    }
    async createBucketIfNotExists() {
        const [buckets] = await this.storage.getBuckets();
        const bucket = buckets.find((bucket) => bucket.metadata.name === GlobalConfig_1.GlobalConfig.getBucket() ?? fileManager_1.bucketName);
        if (!bucket)
            await this.storage.createBucket(GlobalConfig_1.GlobalConfig.getBucket() ?? fileManager_1.bucketName);
    }
    async upload(stream, filename) {
        const bucket = this.storage.bucket(GlobalConfig_1.GlobalConfig.getBucket() ?? fileManager_1.bucketName);
        const file = bucket.file(filename);
        return new Promise((res) => {
            stream.pipe(file.createWriteStream()).on("finish", () => {
                console.log('Subido a gpc');
                res();
            });
        });
    }
    async listFilesBucket() {
        const [files] = await this.storage.bucket(GlobalConfig_1.GlobalConfig.getBucket() ?? fileManager_1.bucketName).getFiles();
        console.log("Archivos subidos al bucket " + GlobalConfig_1.GlobalConfig.getBucket() ?? fileManager_1.bucketName + ":");
        files.forEach((file) => {
            console.log(file.name);
        });
    }
}
exports.GoogleCloud = GoogleCloud;
;
//# sourceMappingURL=GoogleCloud.js.map