"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OneFile = void 0;
const fs_1 = require("fs");
const stream_1 = require("stream");
const fs_2 = __importDefault(require("fs"));
const path_1 = require("path");
const GlobalConfig_1 = require("../../../GlobalConfig");
const ZipReader_1 = require("./ZipReader");
const fs_3 = require("fs");
const tempOutput = (0, path_1.join)(__dirname, 'tmp');
class OneFile {
    static clean() {
        fs_2.default.rmSync(tempOutput, { recursive: true, force: true });
    }
    async process(file, data) {
        if (!(0, fs_1.existsSync)(tempOutput))
            (0, fs_1.mkdirSync)(tempOutput, { recursive: true });
        const zr = new ZipReader_1.ZipReader();
        file = file.slice(0, file.indexOf('<!DOCTYPE html>') - 2);
        const files = await zr.readZip(file);
        for (let file of files) {
            const capaName = file.filename.replace(file.extension, '').replace('.', '');
            const capaOutputPath = (0, path_1.join)(tempOutput, String(data.codTipo), capaName);
            if (!(0, fs_1.existsSync)(capaOutputPath))
                (0, fs_1.mkdirSync)(capaOutputPath, { recursive: true });
            const pathFile = (0, path_1.join)(capaOutputPath, capaName + '.' + file.extension);
            (0, fs_1.appendFileSync)(pathFile, file.value);
        }
        return file;
    }
    async upload(data) {
        const files = this.getAllTempFiles();
        for (let file of files) {
            const streamCsv = stream_1.Readable.from(file.buf);
            for (let serviceUpload of GlobalConfig_1.GlobalConfig.getUploadServices()) {
                const service = new serviceUpload();
                const uploadPath = GlobalConfig_1.GlobalConfig.getPathDownload(file.filename, service, {
                    Denominacion: data.Denominacion,
                    Codigo: 0,
                    __type: ''
                });
                const uploadPathDir = (0, path_1.parse)(uploadPath).dir;
                if (!(0, fs_1.existsSync)(uploadPathDir))
                    (0, fs_1.mkdirSync)(uploadPathDir, { recursive: true });
                await service.upload(streamCsv, uploadPath);
            }
        }
    }
    getAllTempFiles(folderName = "", bufs = []) {
        const filePath = (0, path_1.join)(tempOutput, folderName);
        const filenames = fs_2.default.readdirSync(filePath);
        filenames.forEach(filename => {
            const fileStat = (0, fs_3.statSync)((0, path_1.join)(filePath, filename));
            if (fileStat.isDirectory())
                return this.getAllTempFiles((0, path_1.join)(folderName, filename), bufs);
            const file = fs_2.default.readFileSync((0, path_1.join)(filePath, filename));
            bufs.push({ buf: file, filename: (0, path_1.join)(folderName, filename) });
        });
        return bufs;
    }
}
exports.OneFile = OneFile;
//# sourceMappingURL=OneFile.js.map