"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Filter = void 0;
const TypeMunicipio_1 = require("../enums/TypeMunicipio");
class Filter {
    static isValid(row) {
        let isValid = true;
        for (let column of Object.entries(row)) {
            const [key, value] = column;
            const keyOfFilter = key;
            if (!new Filter().loadMethod(keyOfFilter)(row)) {
                isValid = false;
                break;
            }
        }
        return isValid;
    }
    static scrap_1_tipo_reg(row) {
        let isValid = false;
        if (String(row.scrap_1_tipo_reg).match(/^(11|13|14|15|17)$/) != null) {
            isValid = true;
        }
        return isValid;
    }
    static scrap_24_cd(row) {
        let isValid = true;
        if (isNaN(Number(row.scrap_24_cd)) || row.scrap_24_cd === null) {
            isValid = false;
        }
        return isValid;
    }
    static scrap_26_cmc(row) {
        let isValid = true;
        if (isNaN(Number(row.scrap_26_cmc)) || row.scrap_26_cmc === null) {
            isValid = false;
        }
        return isValid;
    }
    static scrap_31_pc(row) {
        let isValid = true;
        let scrap_24_cd = String(row.scrap_24_cd);
        let scrap_26_cmc = String(row.scrap_26_cmc);
        let scrap_31_pc = String(row.scrap_31_pc);
        if (row.type === TypeMunicipio_1.TypeMunicipio.Rustico &&
            scrap_24_cd.concat(scrap_26_cmc) !== scrap_31_pc.substring(0, 5)) {
            isValid = false;
        }
        return isValid;
    }
    // static scrap_120_cmc(row: Formatted){
    //     let isValid = true;
    //     let scrap_1_tipo_reg = Number(row.scrap_1_tipo_reg);
    //     let scrap_29_ = String(row.scrap_29_ ?? '');
    //     let scrap_120_cmc = String(row.scrap_120_cmc ?? '');
    //     if(scrap_1_tipo_reg == 11 && (scrap_29_.trim() === '') && (scrap_120_cmc.trim() == '')){
    //         isValid = false;
    //     }
    //     return isValid;
    // }
    loadMethod(fnName) {
        if (!Filter.hasOwnProperty(fnName))
            return () => true;
        return Filter[fnName];
    }
}
exports.Filter = Filter;
//# sourceMappingURL=Filter.js.map