/// <reference types="node" />
import { ItemData } from "../../interfaces/Province";
import Zip from "../Zip";
import { ScrapType } from "../../interfaces/Config";
interface file {
    file: Buffer;
    folder: string;
    filename: string;
}
interface files {
    urban: file;
    rustic: file;
}
declare class Provincia {
    municipios: never[];
    zip: Zip;
    arrayCookies: {
        name: string;
        value: string;
    }[];
    info: ItemData;
    type: ScrapType;
    constructor(info: ItemData, zip: Zip, arrayCookies: {
        name: string;
        value: string;
    }[]);
    json(): Promise<void>;
    scrap(): Promise<void>;
    chunkScrap(municipalities: ItemData[], chunkSize: number): Promise<void>;
    saveZipsOfManyPromises(promises: Promise<file[]>[]): Promise<void>;
    saveZips(files: files): void;
    getMunicipios(): Promise<ItemData[]>;
    getToken(): Promise<any>;
}
export default Provincia;
