"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jszip_1 = __importDefault(require("jszip"));
const GlobalConfig_1 = require("../GlobalConfig");
class Zip {
    constructor(filename) {
        this.zip = new jszip_1.default();
        this.filename = filename;
    }
    addFile(folderName, file, filename) {
        const folder = this.zip.folder(folderName);
        folder?.file(filename, file);
    }
    setFilename(filename) {
        this.filename = filename;
    }
    clear() {
        this.zip = new jszip_1.default();
    }
    getStream() {
        return this.zip.generateNodeStream({
            type: "nodebuffer",
            streamFiles: true,
        });
    }
    async upload() {
        const streamZip = this.getStream();
        for (let serviceUpload of GlobalConfig_1.GlobalConfig.getUploadServices()) {
            const service = new serviceUpload();
            await service.upload(streamZip, GlobalConfig_1.GlobalConfig.getPathDownload(this.filename, service));
        }
    }
}
exports.default = Zip;
//# sourceMappingURL=Zip.js.map